# Retrieve the Authenticated Client Returns the public representation of the authenticated client. Use it to discover your own client before creating children or submitting travel data on behalf of a descendant. Requires this feature to be enabled for your account (contact us); otherwise this endpoint responds with . Endpoint: GET /v2/clients/me Security: Bearer-Auth ## Response 200 fields (application/json): - `id` (string, required) The client's unique identifier (UUID). Use this value as a or as the travel-data . - `name` (string,null) The client's display name. - `external_reference` (string,null) Your own reference for this client, unique among the children of a given parent. Generated from the name when omitted on creation. - `parent_id` (string,null, required) The UUID of this client's parent, or for the authenticated (root) client. - `status` (string, required) The client's lifecycle status. Enum: "active" - `metadata` (object, required) A set of key-value pairs of yours that helps you link this record in your system. ## Response 401 fields (application/json): - `errors` (array) - `errors.code` (string, required) An application-specific error code, expressed as a string value. Enum: "field_validation_error", "invalid_params", "server_error", "not_authorized", "not_found", "invalid_methodology", "invalid_type", "client_not_found", "invalid_parent_client", "client_has_children", "parent_id_immutable" - `errors.detail` (string) A human-readable explanation specific to this occurrence of the problem. Like title, this field's value can be localized. - `errors.source` (object) An object containing references to the primary source of the error - `errors.source.id` (string) - `errors.source.attribute` (string, required) - `errors.source.model` (string) ## Response 404 fields (application/json): - `errors` (array) - `errors.code` (string, required) An application-specific error code, expressed as a string value. Enum: "field_validation_error", "invalid_params", "server_error", "not_authorized", "not_found", "invalid_methodology", "invalid_type", "client_not_found", "invalid_parent_client", "client_has_children", "parent_id_immutable" - `errors.detail` (string) A human-readable explanation specific to this occurrence of the problem. Like title, this field's value can be localized. - `errors.source` (object) An object containing references to the primary source of the error - `errors.source.id` (string) - `errors.source.attribute` (string, required) - `errors.source.model` (string)